#-------------------------------------------------
#
# Project created by QtCreator 2015-02-27T16:21:32
#
#-------------------------------------------------



TARGET = TcpAccessPoint
VERSION = 0.2.0
TEMPLATE = lib

QT -= gui
QT += network

CONFIG += plugin
CONFIG(release, debug|release):DEFINES += QT_NO_DEBUG_OUTPUT

DEFINES += CUTESIB_TCPAP_VERSION=\\\"$$VERSION\\\"
DEFINES += TCPACCESSPOINT_LIBRARY
DEFINES += ACCESSPOINTINTERFACE_LIBRARY

windows {
    release: DESTDIR = $$OUT_PWD
    debug:   DESTDIR = $$OUT_PWD
}

lessThan(QT_GCC_MAJOR_VERSION, 5):lessThan(QT_GCC_MINOR_VERSION, 7) {
    QMAKE_CXXFLAGS += -std=c++0x
} else {
QMAKE_CXXFLAGS += -std=c++11
}

QMAKE_CXXFLAGS += -Wall


SOURCES += \
    tcpaccesspoint.cpp \
    tcpclient.cpp \
    tcpaccesspointloader.cpp

HEADERS += \
    tcpaccesspoint.h\
    tcpaccesspoint_global.h \
    tcpclient.h \
    tcpaccesspointloader.h

unix {
    target.path = ~/inst/lib64
    INSTALLS += target
}

DISTFILES += \
    tcp_access_point.json

win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../AccessPointInterface/ -lAccessPointInterface
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../AccessPointInterface/ -lAccessPointInterface
else:unix: LIBS += -L$$OUT_PWD/../AccessPointInterface/ -lAccessPointInterface

INCLUDEPATH += $$PWD/../AccessPointInterface
DEPENDPATH += $$PWD/../AccessPointInterface

win32-g++:CONFIG(release, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../AccessPointInterface/libAccessPointInterface.a
else:win32-g++:CONFIG(debug, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../AccessPointInterface/libAccessPointInterface.a
else:win32:!win32-g++:CONFIG(release, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../AccessPointInterface/AccessPointInterface.lib
else:win32:!win32-g++:CONFIG(debug, debug|release): PRE_TARGETDEPS += $$OUT_PWD/../AccessPointInterface/AccessPointInterface.lib
